开发者社区> 李博 bluemind> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

EBS应用克隆sqlplus : error While Loading Shared Libraries: libclntsh.so.10.1

简介:
+关注继续查看

源系统:  AIX 6.1  , Oracle 11.2.0.1 ,  RAC ,两节点, EBS R12.1.3  , 应用单节点 

目标系统:  Red Hat Linux 6.2  , Oracle 11.2.0.3 ,  RAC ,八节点,  EBS R12.1.3 , 应用四节点  
使用 rman convert , 传输表空间迁移数据库后, 克隆EBS R12 应用的时候碰到错误: 
sqlplus : error while loading shared libraries: libclntsh.so.10.1: cannot open shared object file . 
Metalink 解决方法: 
------------------------------------  
Cloning EBS from Linux 4 to Linux 5 Fails: "Error While Loading Shared Libraries: libclntsh.so.10.1" (文档 ID 736410.1)   
Cause 
Differences between the packages requirements in Linux 4 and Linux 5.
Different packages are required in each OS, that causes the clone to fail since the target
environment doesn't have the same packages as in the source. Also, the package which deliveries
libclntsh.so.10.1 in the target is not installed.
Solution 
To implement the solution, please execute the following steps:
1. Install 32-bit (ppc) and 64-bit (ppc64) glibc-devel packages in the target, Linux 5, environment.
2. Re-run the clone.
本文转自ITPUB博客tolywang的博客,原文链接:EBS应用克隆sqlplus : error While Loading Shared Libraries: libclntsh.so.10.1,如需转载请自行联系原博主。

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
错误解决:当前目录下有so,提示 error while loading shared libraries
错误解决:当前目录下有so,提示 error while loading shared libraries
35 0
error while loading shared libraries: libsqlplus.so 故障解决方法
./sqlplus: error while loading shared libraries: libsqlplus.so: cannot open shared object file: No such file or directory
8907 0
linux使用wkhtmltopdf报错error while loading shared libraries:
官网提示 linux需要这些动态库。depends on: zlib, fontconfig, freetype, X11 libs (libX11, libXext, libXrender) 在linux上执行 ./wkhtmltopdf –page-size A4 www.baidu.com pdf.pdf 报错   error while loading shared libra
3686 0
error while loading shared libraries: xxx.so.x"错误的原因和解决办法
一般我们在Linux下执行某些外部程序的时候可能会提示找不到共享库的错误, 比如:   tmux: error while loading shared libraries: libevent-1.
971 0
+关注
李博 bluemind
云栖社区Java、Redis、MongoDB运营小编,有意合作请联系钉钉:15810436147
2107
文章
1103
问答
文章排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载